LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::presentation::ShapeAnimationSubType Constant Group Reference

Defines the whole shape or a subitem as a target for an effect. More...

## Variables
const short | AS_WHOLE = 0
| the whole shape is a target More...
const short | ONLY_BACKGROUND = 1
| only the background is a target. More...
const short | ONLY_TEXT = 2
| only the text is a target. More...

## Detailed Description

Defines the whole shape or a subitem as a target for an effect.

See also
  com::sun::star::animations::XAnimate::SubItem
  com::sun::star::animations::XIterateContainer::SubItem

## Variable Documentation

## ◆ AS_WHOLE

const short AS_WHOLE = 0

the whole shape is a target

## ◆ ONLY_BACKGROUND

const short ONLY_BACKGROUND = 1

only the background is a target.

The Background of a shape is the whole shape except all visible elements that are part of the shapes text.

## ◆ ONLY_TEXT

const short ONLY_TEXT = 2

only the text is a target.

This includes all glyphs, font decorations and bullets.